Skip to main content

Get Fee Details

HTTP Request

  • GET /api/v1/private/account/tiered_fee_rate/v2

Required Permission: View Order Details

Request Parameters

ParameterTypeRequiredDescription
symbolstringfalseContract; when symbol is provided, query fee rate info under that contract

Response Parameters

ParameterTypeDescription
originalMakerFeedecimalOriginal maker fee
originalTakerFeedecimalOriginal taker fee
joinDiscountbooleanParticipate in discount
enjoyDiscountbooleanEnjoy discount true enjoy discount false do not enjoy discount
joinDeductbooleanParticipate in deduction
enjoyDeductbooleanEnjoy deduction
realMakerFeedecimalActual maker fee
realTakerFeedecimalActual taker fee
discountRatedecimalDiscount rate
deductRatedecimalDeduction rate
dealAmountdecimalTrading volume in the last 30 days
walletBalancedecimalWallet balance of yesterday
inviterKycstringFee group configuration inviter KYC limit
feeRateModestringFee mode NORMAL:standard fee LEVERAGE:leverage fee。TIERED:tiered fee
tieredFeeRateslistTiered fee configuration list; has value only when feeRateMode is TIERED
tieredDealAmountdecimalTrading amount
tieredEffectiveDayintEffective days
tieredAppointContractbooleanWhether to specify contract;false:not specify;true:specify
tieredExcludeContractIdbooleanfalse: not include,true: include
tieredContractIdsstringContract IDs, e.g. [10,11]
tieredExcludeZeroFeebooleanfalse: do not exclude,true: exclude;whether to exclude 0-fee trading volume
leverageFeeRateslistLeverage fee configuration list; has value only when feeRateMode is LEVERAGE
statisticTypestringTiered fee trading volume statistic dimension ROLLING rolling FIXED fixed
fixedStartTimelongFixed mode start time (ms)
fixedEndTimelongFixed mode end time (ms)
minLeverageintThe minimum leverage that the current account UID can use for the specified contract symbol
maxLeverageintThe maximum leverage that the current account UID can use for the specified contract symbol
isMaxLeveragebooleanIndicates whether the returned leverage is marked as the maximum leverage. true indicates the maximum leverage label; false indicates it is not the maximum leverage label

Response

{
"success": true,
"code": 0,
"data": {
"symbol": "BTC_USDT",
"joinDiscount": true,
"enjoyDiscount": true,
"discountRate": 0.5,
"joinDeduct": true,
"enjoyDeduct": true,
"deductRate": 0.8,
"originalMakerFee": 0,
"originalTakerFee": 0,
"realMakerFee": 0,
"realTakerFee": 0,
"dealAmount": 0,
"walletBalance": 35.10272884,
"inviterKyc": "",
"level": 9999,
"feeType": 1,
"agentFee": false,
"feeRateMode": "TIERED",
"leverageFeeRates": [],
"tieredFeeRates": [
{
"takerFeeRate": 0,
"makerFeeRate": 0,
"minTieredDealAmount": 0,
"maxTieredDealAmount": 10000000,
"realTakerFee": 0,
"realMakerFee": 0
},
{
"takerFeeRate": 0.0004,
"makerFeeRate": 0.0001,
"minTieredDealAmount": 10000001,
"realTakerFee": 0.0002,
"realMakerFee": 0.00005
}
],
"tieredDealAmount": 54,
"tieredEffectiveDay": 0,
"tieredAppointContract": true,
"tieredExcludeContractId": true,
"tieredContractIds": [10, 77, 1104],
"tieredExcludeZeroFee": false,
"statisticType": "FIXED",
"fixedStartTime": 1760544000000,
"fixedEndTime": 1763049600000,
"minLeverage": 1,
"maxLeverage": 50,
"isMaxLeverage": true
}
}